자유게시판

안녕하세요. 리눅스를 잘 모르지만 설치하고 사용하며 경험하고 있는 초보입니다. 이번에 데비안 testing 버전을 설치하고 한글 입력기로 nimf를 사용하려 하는데 에러가 발생하여 질문드립니다.

(uname -a: Linux debian 4.19.0-5amd64 #1 SMP Debian 4.19.37-5 (2019-06-19) x86_64 GNU/Linux)


https://gitlab.com/nimf-i18n/nimf/raw/master/README


위에 나오는 대로 따라하여 debuild까지 진행하였습니다. debuild 이후에 에러까지 출력된 것을 https://dpaste.de/pmur에 올려놨습니다.


dpkg-shlibdeps: warning: can't extract name and version from library name 'libnimf-m17n.so'


이 부분이 많이 반복되서 문제가 있는 것 같은데 해당 부분을 검색해서 나오는 글들을 봐도 잘 모르겠습니다. 그리고


Now signing changes and any dsc files...
signfile dsc nimf_2019.07.16.dsc Hodong Kim <cogniti@gmail.com>
gpg: keybox '/home/deb/.gnupg/pubring.kbx' created
gpg: skipped "Hodong Kim <cogniti@gmail.com>": No secret key
gpg: /tmp/debsign.fVDu8Hw9/nimf_2019.07.16.dsc: clear-sign failed: No secret key
debsign: gpg error occurred! Aborting....
debuild: fatal error at line 1112:
running debsign failed


이 부분이 중요한 것 같은데 gpg 관련 에러가 발생하는 것 같습니다. GPG(무엇인지 잘 모릅니다.)가 개발자 고유의 키 같은데 그게 없어서 발생하는 것일까요? gpg --list-secret-keys와 gpg --list-keys를 했을 때 아무것도 나오지 않습니다. abort가 되어도 deb 파일들은 생겨서 sudo dpkg -i로 설치를 했습니다. 제대로 실행은 되는데 한/영 변환이 되지 않습니다. abort 되면서 문제가 있어서 한/영 전환이 안 되는 것인지 아니면 저 오류 메시지는 무시해도 되지만 제가 설정을 잘못해서 안 되는 것인지도 파악이 안 됩니다. 의존성 검사 후에 버전이 몇 이상이여야 한다고 나오는데 의존성 설치시에 버전이 몇인지 확인하지 않았습니다. 이것도 문제가 될 수 있을까요? 혼자서 해결하려고 노력했지만 해결하지 못하여 질문드립니다. 리눅스의 세계에 안착할 수 있도록 도움 부탁드립니다!

  • 하모니카 미디어 에디션
  • 설치가 필요없는 화상통화 하모니
loginbox2
아직 회원이 아니세요? 회원가입